**管理后台DB-table 与redis-key对应关系**

**测试环境redis配置**

    name: texiu_home_redis
    host: 61.160.36.19
    pwd: 33fa134e11b
    port: 6380


**格式**
# 表名
    缓存名
    描述

# vip
    缓存名：dw:texiu:vip:detail:list
    描述：会员列表缓存，每当更新vip表时，需要删词该key。

    缓存名：dw:texiu:vip:list:1
    描述：会员列表缓存，每当更新vip表时，需要删词该key。

# template

```
缓存名：dw:texiu:template:detail:${templateId}
描述：模板详情缓存，每当更新或者删除template表数据时，需要删除该key。

缓存名：dw:texiu:feed:ids
描述：首页视频列表缓存，每当删除template表数据时，需要删除该key。

缓存名：dw:texiu:template:music:{musicId}
描述：音乐id 对应的模板列表，每当删除template表数据时，需要删除该key。

缓存名：dw:texiu:type:template:{type}
描述：类型对应的模板列表，每当删除template表数据时，需要删除该key。

缓存名：dw:texiu:video:transcoding:url:{templateId}
描述：模板的mp4地址改变（重新上传）的时候，需要删除该key。

模板上下架：
删除的key如下：
缓存名：dw:texiu:template:detail:${templateId}
缓存名：dw:texiu:feed:ids
缓存名：dw:texiu:template:music:{musicId}
缓存名：dw:texiu:type:template:{type}

```
# templateType

```
缓存名：dw:texiu:template:type:
描述：模板类型列表缓存，每当更新templateType表数据时，需要删除该key。
```



# author

```
缓存名：dw:texiu:author:detail:${id}
描述：作者详情缓存，每当更新author表时，需要删除该key。
```



# sticker

```
缓存名：dw:texiu:sticker:detail:${id}
描述：炫舞素材详情缓存，每当更新或删除素材的时候，需要删除该key。

缓存名：dw:texiu:sticker:list:${categoryId}
描述：炫舞素材列表缓存，有序集合类型；每当新增或者删除炫舞素材的时候（也编辑素材的时候），需要删除该数据对应的分类的缓存列表。
```



# music

```
缓存名：dw:texiu:music:${id}
描述：音乐详情缓存，每当更新或删除编辑音乐的时候，需要删除该key。

缓存名：dw:texiu:template:music:detail:${id}
描述：音乐详情缓存（包括了卡点音乐属性），每当更新或删除编辑音乐的时候，需要删除该key。

缓存名：dw:texiu:music:type:${typeId}
描述：音乐类型id对应的音乐列表，每当更新或删除编辑音乐的时候，需要删除该key。

缓存名：dw:texiu:template:music:${typeId}
描述：音乐id 对应的模板列表，每当更新或删除编辑音乐的时候，需要删除该key。

```



# paster

```
缓存名：dw:texiu:paster:list:${typeId}
描述：贴纸类型id对应的贴纸列表，每当新增，删除，或者编辑贴纸的时候，需要删除该key。
```


# fontType

```
缓存名：dw:texiu:font:type:list
描述：字体类型，每当删除，更新，添加字体的时候，需要删除该key。
```



# backgroundPresupposed

```
缓存名：dw:texiu:background:presupposed:list
描述：背景预设，每当删除，更新，添加背景预设的时候，需要删除该key
```



# templateFilterType

```
缓存名：dw:texiu:template:filter:type
描述：模板滤镜分类，每当删除，更新，添加模板滤镜分类的时候，需要删除该key
```



# templateFilter

```
缓存名：dw:texiu:template:filter:list:${typeId}
描述：模板滤镜，每当删除，更新，添加模板滤镜的时候，需要删除该key
```


# game

```
缓存名：dw:texiu:game:list
描述：炫技游戏，每当删除，更新，添加游戏的时候，需要删除该key
```

# banner

```
缓存名：dw_texiu_banner_list
描述：首页轮播列表，每当删除，更新，添加banner的时候，需要删除该key
```
